<?php

namespace common\models;

use Yii;

/**
 * This is the model class for table "event_source_data".
 *
 * @property int $id
 * @property int|null $accident_id
 * @property string|null $file_name
 * @property string|null $url
 * @property int|null $update_time
 * @property int|null $delete_time
 */
class EventSourceData extends \yii\db\ActiveRecord
{
    /**
     * {@inheritdoc}
     */
    public static function tableName()
    {
        return 'event_source_data';
    }

    /**
     * {@inheritdoc}
     */
    public function rules()
    {
        return [
//            [['accident_id'], 'integer'],
//            [['content'], 'string', 'max' => 512],
        ];
    }

    /**
     * {@inheritdoc}
     */
    public function attributeLabels()
    {
        return [
            'id' => 'ID',
            'accident_id' => 'Accident ID',
            'content' => 'Content',
        ];
    }
}
